# Id: 600
# Level: org.jboss.logging.Logger.Level.DEBUG
# Message: {0} is missing @Retention(RUNTIME). Weld will use this annotation, however this may make the application unportable.
# @param 1: param1 - 
missingRetention={0} is missing @Retention(RUNTIME). Weld will use this annotation, however this may make the application unportable.
# Id: 601
# Level: org.jboss.logging.Logger.Level.DEBUG
# Message: {0} is missing @Target. Weld will use this annotation, however this may make the application unportable.
# @param 1: param1 - 
missingTarget={0} is missing @Target. Weld will use this annotation, however this may make the application unportable.
# Id: 602
# Level: org.jboss.logging.Logger.Level.DEBUG
# Message: {0} is not declared @Target(TYPE, METHOD) or @Target(TYPE). Weld will use this annotation, however this may make the application unportable.
# @param 1: param1 - 
missingTargetTypeMethodOrTargetType={0} is not declared @Target(TYPE, METHOD) or @Target(TYPE). Weld will use this annotation, however this may make the application unportable.
# Id: 604
# Level: org.jboss.logging.Logger.Level.DEBUG
# Message: {0} is not declared @Target(METHOD, FIELD, TYPE). Weld will use this annotation, however this may make the application unportable.
# @param 1: param1 - 
missingTargetMethodFieldType={0} is not declared @Target(METHOD, FIELD, TYPE). Weld will use this annotation, however this may make the application unportable.
# Id: 605
# Level: org.jboss.logging.Logger.Level.DEBUG
# Message: {0} is not declared @Target(METHOD, FIELD, TYPE, PARAMETER), @Target(METHOD, TYPE), @Target(METHOD), @Target(TYPE) or @Target(FIELD). Weld will use this annotation, however this may make the application unportable.
# @param 1: param1 - 
missingTargetMethodFieldTypeParameterOrTargetMethodTypeOrTargetMethodOrTargetTypeOrTargetField={0} is not declared @Target(METHOD, FIELD, TYPE, PARAMETER), @Target(METHOD, TYPE), @Target(METHOD), @Target(TYPE) or @Target(FIELD). Weld will use this annotation, however this may make the application unportable.
# Id: 606
# Message: Unable to determine name of parameter
unableToGetParameterName=Unable to determine name of parameter
# Id: 607
# Message: annotationMap cannot be null
annotationMapNull=annotationMap cannot be null
# Id: 608
# Message: declaredAnnotationMap cannot be null
declaredAnnotationMapNull=declaredAnnotationMap cannot be null
# Id: 610
# Message: Unable to deserialize constructor. Declaring class {0}, index {1}
# @param 1: param1 - 
# @param 2: param2 - 
unableToGetConstructorOnDeserialization=Unable to deserialize constructor. Declaring class {0}, index {1}
# Id: 611
# Message: Unable to deserialize method. Declaring class {0}, index {1}
# @param 1: param1 - 
# @param 2: param2 - 
unableToGetMethodOnDeserialization=Unable to deserialize method. Declaring class {0}, index {1}
# Id: 612
# Message: Unable to deserialize field. Declaring class {0}, field name {1}
# @param 1: param1 - 
# @param 2: param2 - 
unableToGetFieldOnDeserialization=Unable to deserialize field. Declaring class {0}, field name {1}
# Id: 614
# Message: Incorrect number of AnnotatedParameters {0} on AnnotatedMethod {1}. AnnotatedMethod has {2} as parameters but should have {3} as parameters
# @param 1: param1 - 
# @param 2: param2 - 
# @param 3: param3 - 
# @param 4: param4 - 
incorrectNumberOfAnnotatedParametersMethod=Incorrect number of AnnotatedParameters {0} on AnnotatedMethod {1}. AnnotatedMethod has {2} as parameters but should have {3} as parameters
# Id: 616
# Message: Instantiation through ReflectionFactory of {0} failed
# @param 1: param1 - 
reflectionfactoryInstantiationFailed=Instantiation through ReflectionFactory of {0} failed
# Id: 617
# Message: Instantiation through Unsafe of {0} failed
# @param 1: param1 - 
unsafeInstantiationFailed=Instantiation through Unsafe of {0} failed
# Id: 619
# Level: org.jboss.logging.Logger.Level.WARN
# Message: A lifecycle callback interceptor declares an interceptor binding with target other than ElementType.TYPE
  {0}
  Binding: {1}
  Target: {2}
# @param 1: interceptor - 
# @param 2: binding - 
# @param 3: elementTypes - 
lifecycleCallbackInterceptorWithInvalidBindingTarget=A lifecycle callback interceptor declares an interceptor binding with target other than ElementType.TYPE
  {0}
  Binding: {1}
  Target: {2}
# Id: 620
# Level: org.jboss.logging.Logger.Level.DEBUG
# Message: {0} is not declared @Target(METHOD, FIELD, PARAMETER, TYPE). Weld will use this annotation, however this may make the application unportable.
# @param 1: param1 - 
missingTargetMethodFieldParameterType={0} is not declared @Target(METHOD, FIELD, PARAMETER, TYPE). Weld will use this annotation, however this may make the application unportable.
# Id: 621
# Level: org.jboss.logging.Logger.Level.WARN
# Message: Interceptor binding {0} with @Target defined as {1} should not be applied on interceptor binding {2} with @Target definition: {3}
# @param 1: param1 - 
# @param 2: param2 - 
# @param 3: param3 - 
# @param 4: param4 - 
invalidInterceptorBindingTargetDeclaration=Interceptor binding {0} with @Target defined as {1} should not be applied on interceptor binding {2} with @Target definition: {3}
# Id: 622
# Message: IllegalArgumentException invoking {2} on {1} ({0}) with parameters {3}
# @param 1: clazz - 
# @param 2: instance - 
# @param 3: method - 
# @param 4: parameters - 
illegalArgumentExceptionOnReflectionInvocation=IllegalArgumentException invoking {2} on {1} ({0}) with parameters {3}
# Id: 623
# Message: Unknown type {0}.
# @param 1: type - 
unknownType=Unknown type {0}.
# Id: 624
# Message: Invalid type argument combination: {0}; {1}.
# @param 1: type1 - 
# @param 2: type2 - 
invalidTypeArgumentCombination=Invalid type argument combination: {0}; {1}.
# Id: 625
# Message: Unable to locate method: {0}
# @param 1: message - 
noSuchMethodWrapper=Unable to locate method: {0}
